exports.initialize = (modPath) =>
{
	// Mod defines
	var ORIG_FLOORS = 3;
	var FLOOR_COUNT = 25;
	var MAX_WORKSTATIONS = 10000;
	
	// Locals
	var headquarterName = BuildingNames["Headquarter"];
	
	// Update Headquarter floors to FLOOR_COUNT
	for (var i = 0; i < Buildings.length; i++)
	{
		if (Buildings[i].name == headquarterName)
		{
			// Set workstations
			Buildings[i].workstations = MAX_WORKSTATIONS;
			
			// Set floors
			Buildings[i].floors = FLOOR_COUNT;
			
			// Set grids
			for (var j = ORIG_FLOORS; j < FLOOR_COUNT; j++)
			{
				Buildings[i].gridOffset[j] = Buildings[i].gridOffset[(ORIG_FLOORS - 1)];
			}
		}
	}
};
 

exports.onLoadGame = settings => 
{
	console.log("onLoadGame");
	
	// Mod defines
	var ORIG_FLOORS = 3;
	var FLOOR_COUNT = 25;
		
	// Now to map frames
	// Get the animations array
	// var buildingAnimations = Game.conductor.config.backgroundSpriteSheet._animations;
	var numAnimations = 0;
	
	// Loop over the animations
	for (var i = 0; i < Game.conductor.config.backgroundSpriteSheet._animations.length; i++)
	{
		if (Game.conductor.config.backgroundSpriteSheet._animations[i].startsWith("Headquarter" + ORIG_FLOORS + "_"))
		{
			numAnimations++;
		}
	}
	
	// Now to add the animations for each floor
	for (var i = (ORIG_FLOORS + 1); i <= FLOOR_COUNT; i++)
	{
		for (var j = 0; j < numAnimations; j++)
		{
			Game.conductor.config.backgroundSpriteSheet._animations.push("Headquarter" + i + "_" + j);
			Game.conductor.config.backgroundSpriteSheet._data["Headquarter" + i + "_" + j] = Game.conductor.config.backgroundSpriteSheet._data["Headquarter" + ORIG_FLOORS + "_" + j];
			Game.conductor.config.backgroundSpriteSheet._data["Headquarter" + i + "_" + j].name = "Headquarter" + i + "_" + j;
		}
	}
};